function alert_error( text, prompts )
{
	var err = null;
	var strbundle = document.getElementById("strings");
	if( text == "error:internalError" )
		err = strbundle.getString("signTestInternalError");
	else if( text == "error:noMatchingCert" )
	{
		err = strbundle.getString("signTestNoMatchingCert");
		//err = "Няма открити удостоверения, моля проверете дали сте поставили картата в четеца, и дали четеца е включен в компютъра."
		//err += " Ако и двете условия са изпълнени, то най-вероятно не сте настроили коректно &brandFullName; за работа със смарт карта."
		//err += " За да направите тази настройка натиснете бутона «&registerSCLabel;»."
	}
	if( err )
		prompts.alert(null, strbundle.getString("signTestErrorTitle"), err);
}

function sign_test( txt )
{
	var prompts = Components.classes["@mozilla.org/embedcomp/prompt-service;1"]
                        .getService(Components.interfaces.nsIPromptService);
	var strbundle = document.getElementById("strings");
	if( !cert_chain_is_installed() )
	{
		var msg = strbundle.getString("signTestNoChain");
		if( prompts.confirm(window, title, msg) )
			setup_cert_chain( true );
		else
			return true; // User canceled test
	}
	var res = window.crypto.signText( txt, "ask" );
	alert_error( res, prompts );
	if( res == "error:userCancel" )
		return true;
	if( res.indexOf( "error:" ) == -1 )
	{
		prompts.alert(null, strbundle.getString("signTestOKTitle"), strbundle.getString("signTestOK"));
		return true;
	}
	return false;
}
